Pixxel

List assets for an AOI

List all assets for a given AOI with optional filtering

GET/v0/aois/{aoi_id}/assets
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
AOI ID
Query Parameters
offsetinteger
Offset for pagination
limitinteger
Limit for pagination
Response
application/json
OK
assetsobject[]
Show child attributes
paginationobject
Show child attributes
List assets for an AOI
1curl -X GET 'https://api.pixxel.space/v0/aois/{aoi_id}/assets' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"assets": [
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"area_in_sq_m": 0,
"asset_type": "mosaic",
"band_list": [
"B01",
"B02"
],
"centroid": [
77.55,
12.95
],
"created_at": "2022-11-14 12:55:49.125928+00:00",
"date": "2022-11-14",
"description": "This asset is mosaic file",
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
0
]
]
]
},
"id": "e9767554-550e-4464-a677-b8cf096073ab",
"name": "Asset-A",
"path": "https://storage.account",
"progress": 0,
"resolution": 10,
"status": "success",
"updated_at": "2022-11-14 12:55:49.125928+00:00",
"visualization_id": "e9767554-550e-4464-a677-b8cf096073ab"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
}
}